import * as redux from 'redux';
import * as _reduxjs_toolkit from '@reduxjs/toolkit';
import * as immer from 'immer';

declare const sliceName = "deployments";
declare const initialState: {
    byId: {};
    byStatus: {
        finished: {
            deploymentIds: never[];
            total: number;
        };
        inprogress: {
            deploymentIds: never[];
            total: number;
        };
        pending: {
            deploymentIds: never[];
            total: number;
        };
        scheduled: {
            deploymentIds: never[];
            total: number;
        };
    };
    config: {
        binaryDelta: {
            timeout: number;
            duplicatesWindow: number;
            compressionLevel: number;
            disableChecksum: boolean;
            disableDecompression: boolean;
            inputWindow: number;
            instructionBuffer: number;
            sourceWindow: number;
        };
        binaryDeltaLimits: {
            timeout: {
                default: number;
                max: number;
                min: number;
            };
            sourceWindow: {
                min: number;
                max: number;
                default: number;
            };
            inputWindow: {
                min: number;
                max: number;
                default: number;
            };
            duplicatesWindow: {
                min: number;
                max: number;
                default: number;
            };
            instructionBuffer: {
                min: number;
                max: number;
                default: number;
            };
        };
    };
    deploymentDeviceLimit: number;
    selectedDeviceIds: never[];
    selectionState: {
        finished: {
            endDate: undefined;
            search: string;
            selection: never[];
            startDate: undefined;
            total: number;
            type: string;
            page: number;
            perPage: number;
        };
        inprogress: {
            perPage: number;
            selection: never[];
            page: number;
        };
        pending: {
            perPage: number;
            selection: never[];
            page: number;
        };
        scheduled: {
            selection: never[];
            page: number;
            perPage: number;
        };
        general: {
            state: string;
            showCreationDialog: boolean;
            showReportDialog: boolean;
            reportType: null;
        };
        selectedId: undefined;
    };
};
declare const deploymentsSlice: _reduxjs_toolkit.Slice<{
    byId: {};
    byStatus: {
        finished: {
            deploymentIds: never[];
            total: number;
        };
        inprogress: {
            deploymentIds: never[];
            total: number;
        };
        pending: {
            deploymentIds: never[];
            total: number;
        };
        scheduled: {
            deploymentIds: never[];
            total: number;
        };
    };
    config: {
        binaryDelta: {
            timeout: number;
            duplicatesWindow: number;
            compressionLevel: number;
            disableChecksum: boolean;
            disableDecompression: boolean;
            inputWindow: number;
            instructionBuffer: number;
            sourceWindow: number;
        };
        binaryDeltaLimits: {
            timeout: {
                default: number;
                max: number;
                min: number;
            };
            sourceWindow: {
                min: number;
                max: number;
                default: number;
            };
            inputWindow: {
                min: number;
                max: number;
                default: number;
            };
            duplicatesWindow: {
                min: number;
                max: number;
                default: number;
            };
            instructionBuffer: {
                min: number;
                max: number;
                default: number;
            };
        };
    };
    deploymentDeviceLimit: number;
    selectedDeviceIds: never[];
    selectionState: {
        finished: {
            endDate: undefined;
            search: string;
            selection: never[];
            startDate: undefined;
            total: number;
            type: string;
            page: number;
            perPage: number;
        };
        inprogress: {
            perPage: number;
            selection: never[];
            page: number;
        };
        pending: {
            perPage: number;
            selection: never[];
            page: number;
        };
        scheduled: {
            selection: never[];
            page: number;
            perPage: number;
        };
        general: {
            state: string;
            showCreationDialog: boolean;
            showReportDialog: boolean;
            reportType: null;
        };
        selectedId: undefined;
    };
}, {
    createdDeployment: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    removedDeployment: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeployment: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeploymentDeviceLog: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeploymentDevices: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeployments: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeploymentsForStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    selectDeploymentsForStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeploymentsState: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeploymentsConfig: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "deployments", "deployments", _reduxjs_toolkit.SliceSelectors<{
    byId: {};
    byStatus: {
        finished: {
            deploymentIds: never[];
            total: number;
        };
        inprogress: {
            deploymentIds: never[];
            total: number;
        };
        pending: {
            deploymentIds: never[];
            total: number;
        };
        scheduled: {
            deploymentIds: never[];
            total: number;
        };
    };
    config: {
        binaryDelta: {
            timeout: number;
            duplicatesWindow: number;
            compressionLevel: number;
            disableChecksum: boolean;
            disableDecompression: boolean;
            inputWindow: number;
            instructionBuffer: number;
            sourceWindow: number;
        };
        binaryDeltaLimits: {
            timeout: {
                default: number;
                max: number;
                min: number;
            };
            sourceWindow: {
                min: number;
                max: number;
                default: number;
            };
            inputWindow: {
                min: number;
                max: number;
                default: number;
            };
            duplicatesWindow: {
                min: number;
                max: number;
                default: number;
            };
            instructionBuffer: {
                min: number;
                max: number;
                default: number;
            };
        };
    };
    deploymentDeviceLimit: number;
    selectedDeviceIds: never[];
    selectionState: {
        finished: {
            endDate: undefined;
            search: string;
            selection: never[];
            startDate: undefined;
            total: number;
            type: string;
            page: number;
            perPage: number;
        };
        inprogress: {
            perPage: number;
            selection: never[];
            page: number;
        };
        pending: {
            perPage: number;
            selection: never[];
            page: number;
        };
        scheduled: {
            selection: never[];
            page: number;
            perPage: number;
        };
        general: {
            state: string;
            showCreationDialog: boolean;
            showReportDialog: boolean;
            reportType: null;
        };
        selectedId: undefined;
    };
}>>;
declare const actions: _reduxjs_toolkit.CaseReducerActions<{
    createdDeployment: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    removedDeployment: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeployment: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeploymentDeviceLog: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeploymentDevices: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeployments: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDeploymentsForStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    selectDeploymentsForStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeploymentsState: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeploymentsConfig: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "deployments">;
declare const _default: redux.Reducer<{
    byId: {};
    byStatus: {
        finished: {
            deploymentIds: never[];
            total: number;
        };
        inprogress: {
            deploymentIds: never[];
            total: number;
        };
        pending: {
            deploymentIds: never[];
            total: number;
        };
        scheduled: {
            deploymentIds: never[];
            total: number;
        };
    };
    config: {
        binaryDelta: {
            timeout: number;
            duplicatesWindow: number;
            compressionLevel: number;
            disableChecksum: boolean;
            disableDecompression: boolean;
            inputWindow: number;
            instructionBuffer: number;
            sourceWindow: number;
        };
        binaryDeltaLimits: {
            timeout: {
                default: number;
                max: number;
                min: number;
            };
            sourceWindow: {
                min: number;
                max: number;
                default: number;
            };
            inputWindow: {
                min: number;
                max: number;
                default: number;
            };
            duplicatesWindow: {
                min: number;
                max: number;
                default: number;
            };
            instructionBuffer: {
                min: number;
                max: number;
                default: number;
            };
        };
    };
    deploymentDeviceLimit: number;
    selectedDeviceIds: never[];
    selectionState: {
        finished: {
            endDate: undefined;
            search: string;
            selection: never[];
            startDate: undefined;
            total: number;
            type: string;
            page: number;
            perPage: number;
        };
        inprogress: {
            perPage: number;
            selection: never[];
            page: number;
        };
        pending: {
            perPage: number;
            selection: never[];
            page: number;
        };
        scheduled: {
            selection: never[];
            page: number;
            perPage: number;
        };
        general: {
            state: string;
            showCreationDialog: boolean;
            showReportDialog: boolean;
            reportType: null;
        };
        selectedId: undefined;
    };
}>;

export { actions, _default as default, deploymentsSlice, initialState, sliceName };
